Bug 648100 - (ghc-xml) Review Request: ghc-xml - A simple XML library
Review Request: ghc-xml - A simple XML library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-authenticate ghc-texmath pandoc
  Show dependency treegraph
 
Reported: 2010-10-30 18:08 EDT by Ben Boeckel
Modified: 2012-06-21 08:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: ghc-xml-1.3.7-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-07 14:53:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-xml.spec-1.patch (1.41 KB, patch)
2011-01-06 03:27 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Ben Boeckel 2010-10-30 18:08:03 EDT
Spec URL: http://benboeckel.net/packaging/ghc-xml/ghc-xml.spec
SRPM URL: http://benboeckel.net/packaging/ghc-xml/ghc-xml-1.3.7-1.fc14.src.rpm
Description:
A simple XML library.

% lintmock fedora-14-x86_64-bb
ghc-xml.src: W: strange-permission ghc-xml.spec 0640L
ghc-xml.src: W: strange-permission xml-1.3.7.tar.gz 0640L
ghc-xml-prof.x86_64: E: devel-dependency ghc-xml-devel
ghc-xml-prof.x86_64: W: no-documentation
ghc-xml-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/xml-1.3.7/libHSxml-1.3.7_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Jens Petersen 2010-11-16 20:20:18 EST
Will try to look at this soon.
Comment 2 Jens Petersen 2011-01-06 01:51:35 EST
Sorry "soon" became 2011... :-/

I note that xml-1.3.7/Text/XML/Light/Lexer.hs is missing a (license) header.
It would be good to ask to author to add one.


Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output

ghc-xml.src: W: strange-permission ghc-xml.spec 0640L
ghc-xml.src: W: strange-permission xml-1.3.7.tar.gz 0640L
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
ghc-xml-prof.x86_64: E: devel-dependency ghc-xml-devel
ghc-xml-prof.x86_64: W: no-documentation
ghc-xml-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.1/xml-1.3.7/libHSxml-1.3.7_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

These are ok.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

fc2d7e1a321b4393dd444b16ab6ba669  xml-1.3.7.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=2701815

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package is APPROVED.
Comment 3 Jens Petersen 2011-01-06 03:27:06 EST
Created attachment 472006 [details]
ghc-xml.spec-1.patch

Small patch to update to cabal2spec-0.22.4 (still in testing).
Comment 4 Ben Boeckel 2011-01-15 13:47:04 EST
New Package CVS Request
=======================
Package Name: ghc-xml
Short Description: A simple XML library
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 5 Jens Petersen 2011-01-18 01:59:00 EST
Git done (by process-git-requests).
Comment 6 Jens Petersen 2011-01-23 04:41:57 EST
Ping? :) The package is blocking me from building texmath for pandoc.
Comment 7 Fedora Update System 2011-01-28 09:41:20 EST
ghc-xml-1.3.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-xml-1.3.7-1.fc13
Comment 8 Fedora Update System 2011-01-28 09:41:27 EST
ghc-xml-1.3.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-xml-1.3.7-1.fc14
Comment 9 Fedora Update System 2011-01-28 14:19:24 EST
ghc-xml-1.3.7-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-xml'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-xml-1.3.7-1.fc14
Comment 10 Fedora Update System 2011-02-07 14:53:02 EST
ghc-xml-1.3.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-02-07 14:54:30 EST
ghc-xml-1.3.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Jens Petersen 2012-06-20 05:30:54 EDT
Package Change Request
======================
Package Name: ghc-base64-bytestring
New Branches: el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 13 Jon Ciesla 2012-06-20 08:03:08 EDT
Git done (by process-git-requests).
Comment 14 Jens Petersen 2012-06-20 20:45:02 EDT
Sorry, not quite sure how this happened - seems I can't cut'n'paste.


Package Change Request
======================
Package Name: ghc-xml
New Branches: el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 15 Jon Ciesla 2012-06-21 08:41:42 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.